Name:		flnews
Version:	1.2.1
Release:	1%{?dist}
Summary:	A fast and lightweight USENET newsreader for Unix

License:	modified-bsd AND 2-clause-bsd AND unicode AND GPLv2
URL:		http://micha.freeshell.org/flnews/index.html
Source0:	http://micha.freeshell.org/flnews/src/flnews-%{version}.tar.bz2
Patch0:		flnews-1.2.1.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	fltk-devel	>= 1.3.0
BuildRequires:	make
BuildRequires:	openssl
BuildRequires:	openssl-devel
Requires:	fltk		>= 1.3.0
Requires:	openssl
Requires:	xdg-utils

%description
A fast and lightweight USENET newsreader for Unix

%global debug_package %{nil}

%prep
%autosetup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files
%{_libdir}/flnews/nls/de_DE.cat
%{_libdir}/flnews/nls/fr_FR.cat
%{_mandir}/man1/flnews.1.gz
%{_bindir}/flnews
%{_datadir}/applications/flnews.desktop
%{_datadir}/icons/hicolor/48x48/apps/flnews.png
%{_datadir}/icons/hicolor/64x64/apps/flnews.png
%license /usr/share/flnews/license.txt
%doc README CHANGELOG TODO src/doc/LICENSE src/doc/templates

%changelog
* Mon Nov  4 2024 Detlef Graef <detlef.graef [at] gmx.de> 1.2.1-1
- Release Ver. 1.2.1
* Sat Jul 22 2023 Detlef Graef <detlef.graef [at] gmx.de> 1.2.0-1
- Release Ver. 1.2.0
* Mon Jun 06 2022 Detlef Graef <detlef.graef [at] gmx.de> 1.1.0
- Release Ver. 1.1.0
* Thu Jan 06 2022 Detlef Graef <detlef.graef [at] gmx.de> 1.0.1
- Release Ver. 1.0.1
* Sun Jun 06 2021 Detlef Graef <detlef.graef [at] gmx.de> 1.0.0
- Release Ver. 1.0.0
* Fri Nov 13 2020 Detlef Graef <detlef.graef [at] gmx.de> 0.18-1
- Release Ver. 0.18
* Sat Jan 18 2020 Detlef Graef <detlef.graef [at] gmx.de> 0.18pre2-1
- Added flnews icon files
* Fri Jan 10 2020 Detlef Graef <detlef.graef [at] gmx.de> 0.17-2
- Added flnews.desktop file
* Mon Jan 06 2020 Detlef Graef <detlef.graef [at] gmx.de> 0.17-1
- Release Ver. 0.17
* Mon Aug 19 2019 Detlef Graef <detlef.graef [at] gmx.de> 0.17pre14-2
- Activated CFG_REPRODUCIBLE option
* Mon Aug 12 2019 Detlef Graef <detlef.graef [at] gmx.de> 0.17pre14-1
- Initial version
